## xdg-desktop-portal 1.10.1

=== debian/changelog ===
xdg-desktop-portal (1.10.1-4) unstable; urgency=medium

  * Upload to unstable.
    The libportal-based build-time test coverage passes on all release
    architectures.

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Nov 2021 10:30:39 +0000

xdg-desktop-portal (1.10.1-3) experimental; urgency=medium

  * d/gbp.conf: Branch for experimental
  * d/control, d/rules: Enable libportal now that it is available in testing

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Nov 2021 20:37:48 +0000

xdg-desktop-portal (1.10.1-2) unstable; urgency=medium

  * d/p/open-uri-Avoid-calling-into-o.fd.FileManager1-during-star.patch:
    Add proposed patch to resolve deadlock with some file managers.
    This avoids a long delay during startup of GtkApplication-based
    implementations of the o.fd.FileManager1 interface, such as XFCE's
    Thunar, in a non-GNOME and non-XFCE environment. (Closes: #994865)
  * d/p/build-Fix-cross-compilation-by-adjusting-pkg-config-use.patch:
    Add proposed patch to fix cross-compilation.
    Thanks to Helmut Grohne (Closes: #985411)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Oct 2021 23:29:32 +0100

xdg-desktop-portal (1.10.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0 (no changes required)
  * d/rules: Stop working around wrong permissions on test-document-fuse.py.
    This was fixed upstream.
  * Don't let debhelper 13 make installed-tests data executable
  * Use debhelper compat level 13
    - No need to override dh_missing any more

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:21:24 +0100

=== debian/control ===
Source: xdg-desktop-portal
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus,
 debhelper-compat (= 13),
 geoclue-2.0 <!nocheck>,
 fuse <!nocheck>,
 libcap2-bin <!nocheck>,
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libgeoclue-2-dev (>= 2.5.2),
 libflatpak-dev (>= 1.5.0),
 libfuse-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 libpipewire-0.3-dev (>= 0.3.10),
 libportal-dev (>= 0.3),
 pipewire (>= 0.3.10) <!nocheck>,
 procps <!nocheck>,
 python3 <!nocheck>,
 python3-gi <!nocheck>,
 xmlto,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/flatpak/xdg-desktop-portal
Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal

Package: xdg-desktop-portal
Architecture: linux-any
Multi-arch: foreign
Depends:
 bubblewrap,
 default-dbus-session-bus | dbus-session-bus,
 fuse,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 flatpak (<< 0.10.4-1~),
Replaces:
 flatpak (<< 0.10.4-1~),
Description: desktop integration portal for Flatpak and Snap
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features.
 .
 The implementation of these interfaces is expected to require
 user confirmation before responding to the sandboxed application's
 requests. For example, when the sandboxed application ask to open a file,
 the portal implementation will open an "Open" dialog outside the sandbox,
 and will only make the selected file available to the sandboxed app if
 that dialog is confirmed.
 .
 xdg-desktop-portal is designed to be desktop-agnostic, and uses a
 desktop-environment-specific GUI backend such as xdg-desktop-portal-gtk
 to provide its functionality.

Package: xdg-desktop-portal-dev
Architecture: all
Multi-arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libflatpak-dev (<< 0.10.4-1~),
 xdg-desktop-portal (<< 0.5-2~),
Replaces:
 libflatpak-dev (<< 0.10.4-1~),
 xdg-desktop-portal (<< 0.5-2~),
Description: desktop integration portal - development files
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains development files for backends such as
 xdg-desktop-portal-gtk.

Package: xdg-desktop-portal-tests
Architecture: any
Depends:
 dbus,
 geoclue-2.0,
 libcap2-bin,
 pipewire (>= 0.3.10),
 procps,
 python3,
 python3-gi,
 xdg-desktop-portal,
 ${misc:Depends},
 ${shlibs:Depends},
Description: desktop integration portal - automated tests
 xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
 and possibly other desktop containment/sandboxing frameworks. This service
 is made available to the sandboxed application, and provides mediated
 D-Bus interfaces for file access, URI opening, printing and similar
 desktop integration features. See the xdg-desktop-portal package's
 description for more details.
 .
 This package contains automated tests.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

CONFFLAGS :=

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-docbook-docs \
		--enable-geoclue \
		--enable-installed-tests \
		--enable-libportal \
		--enable-pipewire \
		$(CONFFLAGS)
		$(NULL)

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	G_MESSAGES_DEBUG=all \
	TEST_IN_CI=1 \
	dh_auto_test --no-parallel
endif

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

## xdg-desktop-portal 1.12.1

=== debian/changelog ===
xdg-desktop-portal (1.12.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - Disable libportal-based tests. libportal isn't in bullseye, and
      the extra test coverage isn't enough to justify a backport.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jan 2022 23:16:36 +0000

xdg-desktop-portal (1.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 15:46:31 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
- geoclue-2.0 <!nocheck>,
  fuse <!nocheck>,
  libcap2-bin <!nocheck>,
  libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
@@ -17,8 +16,6 @@
  libglib2.0-dev,
  libjson-glib-dev,
  libpipewire-0.3-dev (>= 0.3.10),
- libportal-dev (>= 0.3),
- pipewire (>= 0.3.10) <!nocheck>,
  procps <!nocheck>,
  python3 <!nocheck>,
  python3-gi <!nocheck>,
@@ -26,7 +23,7 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/bullseye-backports
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 		--enable-docbook-docs \
 		--enable-geoclue \
 		--enable-installed-tests \
-		--enable-libportal \
+		--disable-libportal \
 		--enable-pipewire \
 		$(CONFFLAGS)
 		$(NULL)

## xdg-desktop-portal 1.14.0

=== debian/changelog ===
xdg-desktop-portal (1.14.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - Disable libportal-based tests. libportal isn't in bullseye, and
      the extra test coverage isn't enough to justify a backport.

 -- Simon McVittie <smcv@debian.org>  Sat, 26 Mar 2022 16:50:16 +0000

xdg-desktop-portal (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches restoring the icon validator.
    It has been reinstated upstream.
  * Depend and build-depend on FUSE 3
  * d/control, d/rules: Build with libsystemd

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 09:17:39 +0000

xdg-desktop-portal (1.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 17 Mar 2022 23:25:45 +0000

## xdg-desktop-portal 1.14.1

=== debian/changelog ===
xdg-desktop-portal (1.14.1-1~bpo11+1) bullseye-backports; urgency=high

  * Rebuild for bullseye-backports.
    - Disable libportal-based tests. libportal isn't in bullseye, and
      the extra test coverage isn't enough to justify a backport.
    - d/p/Move-g_string_replace-backport-to-a-separate-translation-.patch,
      d/p/rewrite-launchers-Provide-backported-g_string_replace.patch:
      Add proposed patches to fix compilation with GLib 2.66.
  * d/x-d-p.postinst: Clean up enabled state of x-d-p.service on upgrades.
    When we upgrade from 1.14.0 to 1.14.1, we want to remove
    /etc/systemd/user/graphical-session-pre.target.wants/xdg-desktop-portal.service
    so that it will not cause a deadlock during GNOME login.

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Mar 2022 13:05:07 +0100

xdg-desktop-portal (1.14.1-1) unstable; urgency=medium

  * New upstream release
  * d/p/Revert-Make-x-d-p-start-on-session-start.patch:
    Drop patch, the problem was fixed differently upstream
  * Package the new xdg-desktop-portal-rewrite-launchers executable

 -- Simon McVittie <smcv@debian.org>  Sat, 19 Mar 2022 14:08:29 +0000

xdg-desktop-portal (1.14.0-2) unstable; urgency=medium

  * d/p/Revert-Make-x-d-p-start-on-session-start.patch:
    Revert starting xdg-desktop-portal during session start.
    This causes a new GNOME login after a reboot to deadlock.

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Mar 2022 11:16:06 +0000

## xdg-desktop-portal 1.14.2

=== debian/changelog ===
xdg-desktop-portal (1.14.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - Disable libportal-based tests. libportal isn't in bullseye, and
      the extra test coverage isn't enough to justify a backport.

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Apr 2022 15:43:39 +0100

xdg-desktop-portal (1.14.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Mar 2022 12:11:22 +0100

xdg-desktop-portal (1.14.1-2) unstable; urgency=medium

  * d/x-d-p.postinst: Clean up enabled state of x-d-p.service on upgrades.
    When we upgrade from 1.14.0 to 1.14.1, we want to remove
    /etc/systemd/user/graphical-session-pre.target.wants/xdg-desktop-portal.service
    so that it will not cause a deadlock during GNOME login.
  * d/p/Move-g_string_replace-backport-to-a-separate-translation-.patch,
    d/p/rewrite-launchers-Provide-backported-g_string_replace.patch:
    Add patches to fix compilation with GLib 2.66, to make backports more
    straightforward.

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Mar 2022 13:05:55 +0100

## xdg-desktop-portal 1.14.3

=== debian/changelog ===
xdg-desktop-portal (1.14.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - Disable libportal-based tests

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Apr 2022 16:06:20 +0100

xdg-desktop-portal (1.14.3-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Apr 2022 16:30:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
- fuse <!nocheck>,
+ fuse3 <!nocheck>,
  libcap2-bin <!nocheck>,
  libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
  libgeoclue-2-dev (>= 2.5.2),
  libflatpak-dev (>= 1.5.0),
- libfuse-dev,
+ libfuse3-dev (>= 3.10.0),
  libglib2.0-dev,
  libjson-glib-dev,
  libpipewire-0.3-dev (>= 0.3.10),
+ libsystemd-dev,
+ pipewire (>= 0.3.10) <!nocheck>,
  procps <!nocheck>,
  python3 <!nocheck>,
  python3-gi <!nocheck>,
@@ -32,7 +34,7 @@
 Depends:
  bubblewrap,
  default-dbus-session-bus | dbus-session-bus,
- fuse,
+ fuse3,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 		--enable-installed-tests \
 		--disable-libportal \
 		--enable-pipewire \
+		--with-systemd \
 		$(CONFFLAGS)
 		$(NULL)

## xdg-desktop-portal 1.14.4

=== debian/changelog ===
xdg-desktop-portal (1.14.4-1ubuntu2~22.04.2) jammy; urgency=medium

  * Refresh webextensions portal patch to latest version proposed
    upstream (LP: #2077587)
    - Backported tree:
      https://github.com/ubuntu/xdg-desktop-portal/tree/nmp-1.14-backport

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 13 Sep 2024 14:26:10 -0400

xdg-desktop-portal (1.14.4-1ubuntu2~22.04.1) jammy; urgency=medium

  * Update the native messaging portal patch to pick up a new commit
    (LP: #1982340)
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 20 Jul 2022 14:02:36 +0200

xdg-desktop-portal (1.14.4-1ubuntu1~22.04.1) jammy; urgency=medium

  * New stable update
    - background: Fix a regression introduced in 1.14.0 which caused invalid
      autostart files to be generated. (lp: #1975638)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 13 Jun 2022 16:09:30 +0200

xdg-desktop-portal (1.14.3-0ubuntu2.22.04.1) jammy; urgency=medium

  * Update the native messaging portal patch to pick up a new commit
    (LP: #1973596)
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 16 May 2022 12:36:11 +0200

xdg-desktop-portal (1.14.3-0ubuntu2) jammy; urgency=medium

  * New upstream stable release
    - Fixes crash with Teamviewer's experimental Wayland support
      (LP: #1966945)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 15:17:26 -0400

xdg-desktop-portal (1.14.2-1ubuntu2) jammy; urgency=medium

  * Update the native messaging portal patch to pick up new commits
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 11 Apr 2022 18:47:05 +0200

xdg-desktop-portal (1.14.2-1ubuntu1) jammy; urgency=medium

  * Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
    distro-patch (add a portal for managing WebExtensions native messaging
    servers, LP: #1968215)
    - debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 Apr 2022 11:16:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: xdg-desktop-portal
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
+ geoclue-2.0 <!nocheck>,
  fuse3 <!nocheck>,
  libcap2-bin <!nocheck>,
  libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
@@ -16,6 +18,7 @@
  libglib2.0-dev,
  libjson-glib-dev,
  libpipewire-0.3-dev (>= 0.3.10),
+ libportal-dev (>= 0.3),
  libsystemd-dev,
  pipewire (>= 0.3.10) <!nocheck>,
  procps <!nocheck>,
@@ -25,8 +28,10 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/bullseye-backports
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portaltree/ubuntu/jammy
 
 Package: xdg-desktop-portal
 Architecture: linux-any

## xdg-desktop-portal 1.14.6

=== debian/changelog ===
xdg-desktop-portal (1.14.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - Disable libportal-based tests

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Aug 2022 21:24:50 +0100

xdg-desktop-portal (1.14.6-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Aug 2022 09:17:19 +0100

xdg-desktop-portal (1.14.5-1) unstable; urgency=medium

  * New upstream stable release
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Jul 2022 18:58:07 +0100

xdg-desktop-portal (1.14.4-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 05 May 2022 15:14:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: xdg-desktop-portal
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
  dbus,
  debhelper-compat (= 13),
- geoclue-2.0 <!nocheck>,
  fuse3 <!nocheck>,
  libcap2-bin <!nocheck>,
  libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
@@ -18,7 +16,6 @@
  libglib2.0-dev,
  libjson-glib-dev,
  libpipewire-0.3-dev (>= 0.3.10),
- libportal-dev (>= 0.3),
  libsystemd-dev,
  pipewire (>= 0.3.10) <!nocheck>,
  procps <!nocheck>,
@@ -26,12 +23,10 @@
  python3-gi <!nocheck>,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-XS-Debian-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portaltree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/bullseye-backports
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal
 Architecture: linux-any

## xdg-desktop-portal 1.15.0

=== debian/changelog ===
xdg-desktop-portal (1.15.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - Disable libportal-based tests
    - d/p/tests-Include-src-glib-backports.h-where-needed.patch:
      Fix build with older GLib
    - d/p/tests-Don-t-apply-Meson-s-strict-TAP-parsing-for-older-GL.patch:
      Fix test failure with older GLib
    - d/p/test-portals-Include-utils-even-if-libportal-is-unavail.patch:
      Fix build with libportal disabled

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Sep 2022 09:58:55 +0100

xdg-desktop-portal (1.15.0-2) unstable; urgency=medium

  * Release to unstable.
    xdg-desktop-portal-gnome needs features of this version, and a 1.16.0
    stable release is intended to happen before the freeze.
  * d/control: Drop compatibility with old libgdk-pixbuf2.0-dev package.
    libgdk-pixbuf-2.0-dev has been available since bullseye.

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Sep 2022 19:20:27 +0100

xdg-desktop-portal (1.15.0-1) experimental; urgency=medium

  * New upstream development release
  * Switch to experimental branch
    - d/watch: Watch for development releases
    - d/gbp.conf, d/control: Use debian/experimental packaging branch
  * d/control, d/rules: Build using Meson
  * Add patch to split up installed-tests coverage for test-portals.
    This will make it easier to distinguish between tests that are stable
    when run as an autopkgtest, and tests that are not.

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Aug 2022 21:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  fuse3 <!nocheck>,
  libcap2-bin <!nocheck>,
- libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libgeoclue-2-dev (>= 2.5.2),
  libflatpak-dev (>= 1.5.0),
  libfuse3-dev (>= 3.10.0),
@@ -17,6 +17,7 @@
  libjson-glib-dev,
  libpipewire-0.3-dev (>= 0.3.10),
  libsystemd-dev,
+ meson (>= 0.56.2),
  pipewire (>= 0.3.10) <!nocheck>,
  procps <!nocheck>,
  python3 <!nocheck>,

## xdg-desktop-portal 1.16.0

=== meson_options.txt ===
option('dbus-service-dir',
       type: 'string',
       value: '',
       description: 'directory for dbus service files (default: PREFIX/share/dbus-1/services)')
option('flatpak-interfaces-dir',
       type: 'string',
       value: '',
       description: 'directory for Flatpak interface files (default: PREFIX/share/dbus-1/interfaces)')
option('systemd-user-unit-dir',
       type: 'string',
       value: '',
       description: 'directory for systemd user service files (default: PREFIX/lib/systemd/user)')
option('libportal',
       type: 'feature',
       value: 'auto',
       description: 'Enable libportal support. Needed for tests')
option('geoclue',
       type: 'feature',
       value: 'auto',
       description: 'Enable Geoclue support. Needed for location portal')
option('pipewire',
       type: 'feature',
       value: 'auto',
       description: 'Enable PipeWire support. Needed for screen cast portal')
option('systemd',
       type: 'feature',
       value: 'auto',
       description: 'Enable systemd support')
option('docbook-docs',
       type: 'feature',
       value: 'auto',
       description: 'Build documentation (requires xmlto)')
option('xmlto-flags',
       type: 'array',
       value: [],
       description: 'Define/override "xmlto" options, like "--skip-validation"')
option('datarootdir',
        type: 'string',
        value: '',
        description: 'Define the datarootdir for the pkgconf file')
option('installed-tests',
        type: 'boolean',
        value: false,
        description: 'Enable installation of some test cases')

=== debian/changelog ===
xdg-desktop-portal (1.16.0-2) unstable; urgency=medium

  * d/patches: Add post-release bug fixes from upstream
    - d/p/file-chooser-Set-writable-flag-correctly.patch:
      Don't allow writing to files if not requested
    - d/p/tests-List-lists-of-sources-one-per-line-in-alphabetical-.patch,
      d/p/tests-Add-missing-dependency-on-permission-store-GDBus-he.patch:
      Fix a race condition that was breaking bullseye-backports builds

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jan 2023 11:31:45 +0000

xdg-desktop-portal (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * d/patches: Drop patches, included in the new release
  * d/upstream/metadata: Add Security-Contact
  * d/not-installed: Skip installation of an unnecessary file

 -- Simon McVittie <smcv@debian.org>  Tue, 13 Dec 2022 22:52:21 +0000

xdg-desktop-portal (1.15.0-3) unstable; urgency=medium

  * d/watch: Adapt to Github web page changes
  * d/control: Canonicalize case of Multi-Arch field
  * d/p/meson-In-installed-tests-invoke-test-portals-once-per-por.patch:
    Update patch to the version that was applied upstream
  * d/p/test-portals-Include-utils-even-if-libportal-is-unavailab.patch,
    d/p/tests-Don-t-apply-Meson-s-strict-TAP-parsing-for-older-GL.patch,
    d/p/tests-Include-src-glib-backports.h-where-needed.patch,
    d/p/glib-backports-Declare-stub-function-as-inline.patch:
    Add patches from upstream needed for the Debian 11 backport
  * d/patches: Add selected bug fixes from upstream git
    - Move xdg-permission-store to the systemd slice appropriate for
      session services used to support applications
    - Improve systemd service management so our services do not linger after
      graphical-session.target has exited
    - Documentation fixes
    - Make o.fd.portal.Screenshot.Version mirror
      o.fd.portal.impl.Screenshot.Version so that clients can discover
      whether the backend implements PickColor()
    - Add a missing Qt type annotation to the Request.Response signal
  * d/patches: Add localization updates from upstream
  * Build-/test-depend on dbus-daemon instead of dbus

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Nov 2022 10:38:32 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- dbus,
+ dbus-daemon,
  debhelper-compat (= 13),
+ geoclue-2.0 <!nocheck>,
  fuse3 <!nocheck>,
  libcap2-bin <!nocheck>,
  libgdk-pixbuf-2.0-dev,
@@ -16,6 +17,7 @@
  libglib2.0-dev,
  libjson-glib-dev,
  libpipewire-0.3-dev (>= 0.3.10),
+ libportal-dev (>= 0.3),
  libsystemd-dev,
  meson (>= 0.56.2),
  pipewire (>= 0.3.10) <!nocheck>,
@@ -26,12 +28,12 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
 Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal
 Architecture: linux-any
-Multi-arch: foreign
+Multi-Arch: foreign
 Depends:
  bubblewrap,
  default-dbus-session-bus | dbus-session-bus,
@@ -62,7 +64,7 @@
 
 Package: xdg-desktop-portal-dev
 Architecture: all
-Multi-arch: foreign
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
@@ -86,7 +88,7 @@
 Package: xdg-desktop-portal-tests
 Architecture: any
 Depends:
- dbus,
+ dbus-daemon,
  geoclue-2.0,
  libcap2-bin,
  pipewire (>= 0.3.10),

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,12 @@
 CONFFLAGS :=
 
 %:
-	dh $@
+	dh $@ --buildsystem=meson
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--enable-docbook-docs \
-		--enable-geoclue \
-		--enable-installed-tests \
-		--disable-libportal \
-		--enable-pipewire \
-		--with-systemd \
+		-Dauto_features=enabled \
+		-Dinstalled-tests=true \
 		$(CONFFLAGS)
 		$(NULL)

=== debian/tests/control ===
Tests: gnome-desktop-testing
Restrictions: flaky, isolation-machine
Depends:
 gnome-desktop-testing,
 xdg-desktop-portal-tests,

## xdg-desktop-portal 1.18.0

=== meson_options.txt ===
--- 
+++ 
@@ -18,10 +18,6 @@
        type: 'feature',
        value: 'auto',
        description: 'Enable Geoclue support. Needed for location portal')
-option('pipewire',
-       type: 'feature',
-       value: 'auto',
-       description: 'Enable PipeWire support. Needed for screen cast portal')
 option('systemd',
        type: 'feature',
        value: 'auto',
@@ -42,3 +38,11 @@
         type: 'boolean',
         value: false,
         description: 'Enable installation of some test cases')
+option('pytest',
+        type: 'feature',
+        value: 'auto',
+        description: 'Enable the pytest-based test suite')
+option('man-pages',
+       type: 'feature',
+       value: 'auto',
+       description: 'Build man pages (requires rst2man)')

=== debian/changelog ===
xdg-desktop-portal (1.18.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038110). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Dropped change:
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Oct 2023 12:21:53 -0400

xdg-desktop-portal (1.18.0-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Sep 2023 12:01:57 +0100

xdg-desktop-portal (1.17.2-1ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS
  * Update webextension portal patch with latest version proposed upstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Sep 2023 13:08:18 -0400

xdg-desktop-portal (1.17.2-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 02 Sep 2023 10:27:12 +0100

xdg-desktop-portal (1.17.1-1) experimental; urgency=medium

  * New upstream release
    - d/patches: Drop all patches, applied in new release
  * d/control, d/x-d-p.manpages: Build and install portals.conf(5)
  * d/NEWS: Add a NEWS file to direct users to portals.conf(5)
  * d/p/debian/portal-impl-Hard-code-x-d-p-gtk-as-a-last-resort-fallback.patch:
    Add patch to fall back to x-d-p-gtk if nothing better can be found.
    This is a temporary measure to give desktop environment maintainers
    a chance to add a portals.conf(5) for their desktop, and should be
    removed later.

 -- Simon McVittie <smcv@debian.org>  Mon, 28 Aug 2023 15:03:12 +0100

xdg-desktop-portal (1.17.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Fixes portal delay with x-d-p-gnome 44 and non-GNOME desktops
      (LP: #2013116) (Closes: #1032584)
  * debian/control: Build-Depend on python3-dbusmock & python3-pytest
    for build tests
  * Drop all patches: applied in new release
  * Cherry-pick 3 bug fixes from upstream repo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 21 Aug 2023 16:33:43 -0400

xdg-desktop-portal (1.16.0-3ubuntu1) mantic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
      to Ubuntu 20.04 LTS or 18.04 LTS

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 09:07:20 -0400

xdg-desktop-portal (1.16.0-3) unstable; urgency=medium

  * d/patches: Update to upstream 1.16 branch commit 1.16.0-17-g2a219279
    - Deal better with backends that are non-functional in desktop
      environments other than the one they are intended for
    - Improve handling of incorrect method calls from applications
    - Extract app IDs from more systemd scope/slice/service names
    - Update security support status in README
    - Translation updates: be, gl, ka, oc, tr
  * Update standards version to 4.6.2 (no changes needed)
  * Remove version constraints unnecessary since Debian 11
  * d/xdp.lintian-overrides: Silence some false positives (#1031037)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Aug 2023 15:33:04 +0100

xdg-desktop-portal (1.16.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * d/p/webextensions-portal.patch: updated
  * Keep alternative dependency to libgdk-pixbuf2.0-dev for easier backports
    to Ubuntu 20.04 LTS or 18.04 LTS

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 25 Jan 2023 15:33:03 -0300

xdg-desktop-portal (1.16.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Update webextensions-portal.patch with latest proposed version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 10:39:43 -0500

xdg-desktop-portal (1.15.0-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * Update webextensions-portal.patch with latest proposed version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2022 06:59:02 -0400

xdg-desktop-portal (1.14.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian. Remaining changes:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 13 Jun 2022 11:21:47 +0200

xdg-desktop-portal (1.14.3-0ubuntu3) kinetic; urgency=medium

  * Update the native messaging portal patch to pick up a new commit
    - debian/patches/webextensions-portal.patch



## xdg-desktop-portal 1.18.2

=== debian/changelog ===
xdg-desktop-portal (1.18.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian (LP: #2038110). Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:10:20 -0500

xdg-desktop-portal (1.18.2-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
  * Drop x-d-p-gtk fallback patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 13:03:50 -0500

xdg-desktop-portal (1.18.1-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update
  * d/rules: Explicitly enable sandboxed image validation.
    This is the default, but for a security hardening mechanism, explicit
    seems better than implicit.
  * Change packaging branch to debian/latest

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Oct 2023 19:28:38 +0100

## xdg-desktop-portal 1.18.3

=== debian/changelog ===
xdg-desktop-portal (1.18.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 18:21:31 -0400

xdg-desktop-portal (1.18.3-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Apr 2024 10:53:28 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xdg-desktop-portal
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
@@ -11,25 +12,30 @@
  fuse3 <!nocheck>,
  libcap2-bin <!nocheck>,
  libgdk-pixbuf-2.0-dev,
- libgeoclue-2-dev (>= 2.5.2),
- libflatpak-dev (>= 1.5.0),
- libfuse3-dev (>= 3.10.0),
+ libgeoclue-2-dev,
+ libflatpak-dev,
+ libfuse3-dev,
  libglib2.0-dev,
  libjson-glib-dev,
- libpipewire-0.3-dev (>= 0.3.10),
+ libpipewire-0.3-dev,
  libportal-dev (>= 0.3),
  libsystemd-dev,
- meson (>= 0.56.2),
- pipewire (>= 0.3.10) <!nocheck>,
+ meson,
+ pipewire <!nocheck>,
  procps <!nocheck>,
  python3 <!nocheck>,
+ python3-dbusmock <!nocheck>,
+ python3-docutils <!nodoc>,
  python3-gi <!nocheck>,
+ python3-pytest <!nocheck>,
  xmlto,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portaltree/ubuntu/master
 
 Package: xdg-desktop-portal
 Architecture: linux-any
@@ -40,10 +46,6 @@
  fuse3,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- flatpak (<< 0.10.4-1~),
-Replaces:
- flatpak (<< 0.10.4-1~),
 Description: desktop integration portal for Flatpak and Snap
  xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
  and possibly other desktop containment/sandboxing frameworks. This service
@@ -68,12 +70,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- libflatpak-dev (<< 0.10.4-1~),
- xdg-desktop-portal (<< 0.5-2~),
-Replaces:
- libflatpak-dev (<< 0.10.4-1~),
- xdg-desktop-portal (<< 0.5-2~),
 Description: desktop integration portal - development files
  xdg-desktop-portal provides a portal frontend service for Flatpak, Snap,
  and possibly other desktop containment/sandboxing frameworks. This service
@@ -91,7 +87,7 @@
  dbus-daemon,
  geoclue-2.0,
  libcap2-bin,
- pipewire (>= 0.3.10),
+ pipewire,
  procps,
  python3,
  python3-gi,

## xdg-desktop-portal 1.18.4

=== debian/changelog ===
xdg-desktop-portal (1.18.4-2) unstable; urgency=medium

  * d/control, d/gbp.conf: Branch for changes targeting trixie.
    The debian/latest branch has 1.19.x development releases, which are
    packaged in experimental but haven't reached a sufficiently frozen
    status to be considered for inclusion in Debian 13 yet.
  * d/patches: Backport patches from 1.19.0 to fix test failure with
    libportal 0.9.0 (Closes: #1091290)
  * d/patches: Update to upstream 1.18.x branch commit 1.18.4-3-g45b5f7a4
    - Improve ability to use camera portal from non-sandboxed host apps
    - Add a missing NEWS entry
  * d/control: Explicitly build-depend on bubblewrap
  * d/control, d/rules: Only build documentation in arch-indep builds
  * d/rules: Disable man pages under nodoc build profile
  * d/x-d-p.lintian-overrides: Remove obsolete Lintian override for #1031037
  * d/control: Standards-Version: 4.7.0 (no changes required)
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Jan 2025 18:51:00 +0000

xdg-desktop-portal (1.18.4-1) unstable; urgency=medium

  * New upstream stable release
    - Don't allow sandboxed apps to specify commands starting with '-'
      when generating .desktop files, mitigating CVE-2024-32462 in Flatpak
    - Do not store device access permission as "denied by user" if there
      was an error
    - Fix a crash when config files don't specify a default backend

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Apr 2024 18:58:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: xdg-desktop-portal
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
+ bubblewrap,
  dbus-daemon,
  debhelper-compat (= 13),
  geoclue-2.0 <!nocheck>,
@@ -18,7 +18,7 @@
  libglib2.0-dev,
  libjson-glib-dev,
  libpipewire-0.3-dev,
- libportal-dev (>= 0.3),
+ libportal-dev (>= 0.9),
  libsystemd-dev,
  meson,
  pipewire <!nocheck>,
@@ -28,14 +28,13 @@
  python3-docutils <!nodoc>,
  python3-gi <!nocheck>,
  python3-pytest <!nocheck>,
- xmlto,
+Build-Depends-Indep:
+ xmlto <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/flatpak/xdg-desktop-portal
-XS-Debian-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
-Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portaltree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/debian/xdg-desktop-portal.git -b debian/trixie
+Vcs-Browser: https://salsa.debian.org/debian/xdg-desktop-portal
 
 Package: xdg-desktop-portal
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,18 @@
 
 CONFFLAGS :=
 
+ifneq ($(filter %-dev,$(built_binaries)),)
+CONFFLAGS += -Ddocbook-docs=enabled
+else
+CONFFLAGS += -Ddocbook-docs=disabled
+endif
+
+ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
+CONFFLAGS += -Dman-pages=enabled
+else
+CONFFLAGS += -Dman-pages=disabled
+endif
+
 %:
 	dh $@ --buildsystem=meson
 
@@ -16,6 +28,7 @@
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
 		-Dinstalled-tests=true \
+		-Dsandboxed-image-validation=true \
 		$(CONFFLAGS)
 		$(NULL)

## xdg-desktop-portal 1.20.0%2Bds

=== debian/changelog ===
xdg-desktop-portal (1.20.0+ds-2ubuntu1.1) plucky; urgency=medium

  * Backport patches from Sebastian Wick to get pidns's from pidfd's.
    - Fixes (LP: #2107340)
    - differentiate_pidfd_proc.patch
      + utils: Differentiate between pidfd and /proc/$pid dirfds
      + Upstream SHA: dd08d451e3019f4ec6285ecb14d4c746b6e1d420
      + Refactoring commit required for the next patch that actually fixes the
        problem to cleanly apply.
    - get_pidns_from_pidfd.patch
      + utils: Add new function to get the pidns from an actual pidfd
      + Upstream SHA: 522236e41043a558a825da4cee70ee31ce607147
      + Fixes failures when calling XdpAppInfo.get_pidns with a pidfd rather
        than a dirfd.

 -- Charles <charles05@canonical.com>  Thu, 03 Jul 2025 17:09:55 +0100

xdg-desktop-portal (1.20.0+ds-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Import Sebastian Wick's version of the Jan Horak WebExtensions
      native messaging portal patch
      + debian/patches/webextensions-portal.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
    - Remove -dev Recommends: fonts-inter-variable
  * Add patch to temporarily disable the webextension build test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 19:58:12 -0400

xdg-desktop-portal (1.20.0+ds-2) unstable; urgency=medium

  * d/rules: Only enable as-installed tests if we're building that package
  * d/rules: Enable tests whenever we are building as-installed tests.
    Even if we will not actually run the tests at build-time, we still
    need to enable the option if we want to install the as-installed
    tests, and for that we need a subset of the tests' dependencies.
    Thanks to Jeremy Bícha (Closes: #1101046)
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 22 Mar 2025 20:47:16 +0000

xdg-desktop-portal (1.20.0+ds-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
    - debian/salsa-ci.yml: Use Ubuntu recipe
  * Update the webextensions patch with the version from Jan Horak
    as updated by Sebastian Wick
  * Remove -dev Recommends: fonts-inter-variable (LP: #2100239)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 19:37:59 -0400

xdg-desktop-portal (1.20.0+ds-1) unstable; urgency=medium

  * New upstream stable release

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Feb 2025 11:54:43 +0000

xdg-desktop-portal (1.19.4+ds-1) unstable; urgency=medium

  * New upstream development release
  * d/patches: Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Feb 2025 13:31:49 +0000

xdg-desktop-portal (1.19.3+ds-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
  * d/control: libportal-dev is no longer used for unit tests
  * d/x-d-p.docs: NEWS is now named NEWS.md
  * d/rules: Rename the pytest option to tests, following upstream
  * d/control: Explicitly build-depend on python3-dbus.
    It's used by dbusmock, and the upstream build system checks for it.
  * d/p/notification-Escape-the-href-attribute-of-links-when-re-s.patch,
    d/p/tests-Assert-that-href-attributes-are-escaped-correctly.patch,
    d/p/notification-Escape-the-body-text-of-the-markup-body-when.patch,
    d/p/tests-Assert-that-markup-body-text-is-escaped-correctly.patch:
    Add patches from upstream to fix handling of XML in notifications
  * Release to unstable (Closes: #1095098).
    While this is still a development release, upstream intends to
    release 1.20.x in time for the Debian 13 freeze, so it's better to
    have wider testing at this stage.

  [ Jeremy Bícha ]
  * Update Homepage

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Feb 2025 18:08:24 +0000

xdg-desktop-portal (1.19.2+ds-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining change:
    - Import https://github.com/flatpak/xdg-desktop-portal/pull/705 as a
      distro-patch (add a portal for managing WebExtensions native messaging
      servers, LP: #1968215)
      + debian/patches/webextensions-portal.patch
  * debian/salsa-ci.yml: Use Ubuntu recipe

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 11:25:38 -0500

xdg-desktop-portal (1.19.2+ds-1) experimental; urgency=medium

  * New upstream development release
  * d/rules, d/tests: Set XDP_TEST_IN_CI instead of TEST_IN_CI.
    The environment variable used to skip flaky tests and extend some
    other tests' timeouts was renamed in this upstream development branch.
  * d/control: Add dependencies to run pytest-based tests from autopkgtest
  * d/copyright: Update
  * d/p/debian/doc-Use-system-copy-of-Inter-Variable-font.patch:
    Refresh patch

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Jan 2025 14:45:35 +0000

xdg-desktop-portal (1.19.1+ds-1) experimental; urgency=medium

  * New upstream development release
  * Drop patches that were included in 1.19.1
  * d/p/tests-Set-XDG_DATA_DIRS-for-as-installed-testing.patch:
    Add patch to fix test-portals-openuri.test during autopkgtest
  * d/copyright: Update
  * d/watch: Fix dversionmangle processing for +ds versions
  * d/control: Update build-dependencies
  * d/control: Depend on GStreamer plugins for WAV, Ogg Vorbis, Ogg Opus
  * d/rules: Disable pytest-based tests if built with nocheck
  * d/rules: Disable sandboxing of sound validation during build-time
    testing, because bubblewrap can't work in a buildd chroot
  * d/x-d-p.install: Install new x-d-p-validate-sound helper
  * d/salsa-ci.yml: Use recommended recipe
  * d/tests/control: Try treating installed-tests as stable.
    We can mark them as flaky before re-uploading to unstable if this
    turns out not to be the case.
  * d/rules: Extend test timeouts on non-x86.


=== debian/watch ===
version=4
# Upstream releases official tarballs, so we use those in preference to
# git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?//;s/[+~](?:dfsg|ds)[0-9]*//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#, \
    repacksuffix=+ds" \
https://github.com/flatpak/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@
